#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_FOBS_Microdati_2005_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_FOBS_2005<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_FOBS_2005, "label") <- c(
"Numero progressivo",
"Regione della sede dell'impresa",
"Ateco - attivit economica",
"Dipendenti alla nascita (con o senza)",
"Numero medio addetti nel 2002 (in classi)",
"Numero medio addetti nel 2004 (in classi)",
"Fatturato 2004 in migliaia di euro (in classi)",
"Stima fatturato 2005 (classi in migliaia di euro)",
"Et dell'imprenditore alla nascita dell'impresa in anni compiuti (classi)",
"E' lei l'imprenditore o uno degli imprenditori che ha dato origine all'impresa?",
"Quali sono state le motivazioni che hanno spinto alla creazione della sua impresa? A- il desiderio di una nuova sfida",
"B- il desiderio di mettermi in proprio",
"C- il desiderio di rendere redditizio quello che era un hobby",
"D- la presenza di una tradizione imprenditoriale all'interno della famiglia",
"E- per conciliare lavoro e vita privata",
"F- i figli erano sufficientemente grandi da permettermi di creare un'impresa",
"G- la prospettiva di ulteriori guadagni",
"H- la realizzazione di un'idea innovativa",
"I- per raggiungere un mercato internazionale",
"J- per evitare la disoccupazione",
"K- per sfuggire a una situazione lavorativa insoddisfacente",
"L- allo scopo di lavorare in esclusiva per il mio precedente datore di lavoro",
"M-  l'unica possibilit per svolgere la mia professione",
"Come  stata finanziata l'impresa inizialmente? A- con mezzi propri",
"B- con l'aiuto di familiari/amici",
"C- con credito bancario senza richiesta di garanzie",
"D- con credito bancario con richiesta di garanzie",
"E- con contributi finanziari di altre imprese",
"F- con finanziamenti capital venture",
"G- con aiuti finanziari pubblici",
"Quali difficolt ha incontrato inizialmente?A- nel reperire i finanziamenti",
"B- nello stabilire i contatti con i clienti",
"C- nel far pagare le fatture inevase",
"D- nello stabilire il prezzo dei miei prodotti",
"E- nel trovare immobili adeguati",
"F- nel trovare i fornitori",
"G- nel reperire personale idoneo",
"H- nell'utilizzo della tecnologia informatica",
"I- nell'affrontare aspetti giuridici, amministrativi, registrazioni, tasse, ecc.",
"L- nell'essere da solo a prendere le decisioni",
"M- nell'avere il sostegno della famiglia",
"N- nessuna / non rilevante",
"Prima di intraprendere questa attivit, la sua condizione era:",
"Ha un'esperienza lavorativa precedente in questo stesso ramo di attivit?",
"Ha mai intrapreso un'attivit imprenditoriale prima di questa?",
"Ha ricevuto una particolare formazione mirata ad aiutarla nell'avvio dell'attivit?",
"Le informazioni pi utili nella costituzione della nuova impresa provenivano da: A-  la mia famiglia, amici",
"B- corso di formazione per imprenditori conoscenze professionali",
"C- conoscenze professionali",
"D- consulenti professionali",
"E- istituzioni pubbliche nazionali, regionali, locali",
"F- organizzazioni specializzate nell'avvio di nuove attivit imprenditoriali  (es. camere di commercio, associazioni di categoria, etc.-",
"G- una istituzione finanziaria",
"H- non ho avuto accesso ad alcun tipo di informazione rilevante",
"I- non ho avuto bisogno di alcuna informazione",
"Oltre a quella in oggetto, svolge una ulteriore attivit remunerativa?",
"Sesso",
"Cittadinanza",
"Titolo di studio al momento della creazione dell'impresa",
"Da chi  amministrata l'impresa oggi?",
"Suddivisione del fatturato",
"Per quali mercati  la sua imprese vende beni/ servizi? locale /regionale",
"Nazionale",
"Internazionale, interno ue",
"Internazionale, esterno ue",
"Giudizio sulla profittabilit",
"Cooperazione con altre imprese",
"Considera la sua impresa innovativa?se si, l'innovazione si riferisce a:un nuovo bene o servizio introdotto nel mercato (innovazione di prodotto)",
"Un nuovo processo o metodo di produzione (innovazione di processo)",
"Una nuova organizzazione della gestione (innovazione organizzativa)",
"Un nuovo modo di vendere beni e servizi (innovazione di marketing)",
"In che misura i seguenti fattori ostacolano la vendita dei prodotti o servizi dell'impresa? A- la forte competizione",
"B- la scarsa domanda per i prodotti o servizi offerti",
"C- la difficolt nella determinazione dei prezzi dei prodotti o servizi",
"D- l'assenza delle necessarie professionalit per il marketing",
"In che misura i seguenti fattori ostacolano lo sviluppo degli affari? A- scarsa redditivit",
"B- disponibilit da parte delle banche a concedere prestiti",
"C- disponibilit di capitali di rischio",
"D- disponibilit di credito a breve termine",
"E- disponibilit di personale qualificato",
"F- costi del personale",
"G- oneri fiscali/amministrativi",
"H- l'adeguamento a nuovi standard tecnologici",
"I- disponibilit di competenze manageriali",
"J- difficolt a combinare lavoro e famiglia",
"K- trovare soci",
"L- ritardo nei pagamenti da parte dei clienti",
"Quali sono i piani strategici che riguardano la continuazione dell'attivit dell'impresa nei prossimi due anni?",
"Quali sono le sue aspettative circa l'evoluzione dell'attivit nel prossimo anno? A- fatturato",
"B- numero di dipendenti",
"C- variet di beni e servizi venduti",
"D- redditivit",
"Se i profitti aumentassero, quali, tra le seguenti, sarebbero la sua priorit ?  A- assumere pi dipendenti",
"B- aumentare la remunerazione dei dipendenti",
"C- investire nell'attivit dell'impresa",
"D- estinguere i debiti",
"E- aumentare il mio salario",
"F- ridurre il mio orario di lavoro",
"G- nessuno/ non rilevante",
"Coefficiente di riporto all'universo (10 decimali)")

regione_Fact <- factor(Ril_FOBS_2005$regione, 
levels=c("1", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte e Val d'Aosta", 
"Lombardia", 
"Trentino Alto Adige", 
"Veneto", 
"Friuli", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


ateco_Fact <- factor(Ril_FOBS_2005$ateco, 
levels=c("F", 
"H", 
"I", 
"J", 
"CE", 
"DA", 
"DB", 
"DC", 
"DD", 
"DE", 
"DH", 
"DI", 
"DJ", 
"DK", 
"DL", 
"DM", 
"DN", 
"G1", 
"G2", 
"Ka", 
"Kb", 
"DFG"), 
labels=c("Costruzioni", 
"Alberghi e pubblici esercizi", 
"Trasporti, magazzinaggio e comunicazioni", 
"Intermediazione monetaria e finanziaria", 
"Estrazione prodotti energetici e non energetici, energia", 
"Industrie alimentari, delle bevande e del tabacco", 
"Industrie tessili e dell'abbigliamento", 
"Industrie conciarie, prodotti in cuoio, pelle e similari", 
"Industria del legno e dei prodotti in legno", 
"Fabbricz. carta e prodotti di carta; stampa ed editoria", 
"Fabbricz. di articoli in gomma  e materie plastiche", 
"Fabbricz. di prodotti della lav.  minerali non metalliferi", 
"Produz. di metalli e fabbricazione di prodotti in metallo", 
"Fabbricz. di macchine ed app. meccanici, riparazioni", 
"Fabbricz. di macchine elettri., appar. elettriche, ottiche", 
"Fabbricazione di mezzi di trasporto", 
"Altre industrie manifatturiere", 
"Commercio, riparazioni, commercio all'ingrosso", 
"Commercio al dettaglio", 
"Attivit immobiliari, noleggio macchinari", 
"Informatica, ricerca, attivit imprenditoriali e professionali", 
"Fabbricz. di coke, art. in gomma (petrolchimico)")) 


dipendenti02_Fact <- factor(Ril_FOBS_2005$dipendenti02, 
levels=c("0", 
"1"), 
labels=c("Senza dipendenti", 
"Con dipendenti")) 


addetti02_Fact <- factor(Ril_FOBS_2005$addetti02, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("1 addetto", 
"2-4 addetti", 
"5-9 addetti", 
"10-19 addetti", 
"20 addetti e oltre")) 


addetti04_Fact <- factor(Ril_FOBS_2005$addetti04, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("1 addetto", 
"2-4 addetti", 
"5-9 addetti", 
"10-19 addetti", 
"20 addetti e oltre")) 


fatturato04_Fact <- factor(Ril_FOBS_2005$fatturato04, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Fino a 20", 
"Oltre 20 fino a 50", 
"Oltre 50 fino a 100", 
"Oltre 100 fino a 200", 
"Oltre 200 fino a 500", 
"Oltre 500 fino a 1000", 
"Oltre 1000 fino a 2000", 
"Oltre 2000 fino a 4000", 
"Oltre 4000")) 


fatturato05_Fact <- factor(Ril_FOBS_2005$fatturato05, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Fino a 20", 
"Oltre 20 fino a 50", 
"Oltre 50 fino a 100", 
"Oltre 100 fino a 200", 
"Oltre 200 fino a 500", 
"Oltre 500 fino a 1000", 
"Oltre 1000 fino a 2000", 
"Oltre 2000 fino a 4000", 
"Oltre 4000")) 


eta_Fact <- factor(Ril_FOBS_2005$eta, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Meno di 30", 
"30-39", 
"40-49", 
"50 e oltre")) 


imprenditore_Fact <- factor(Ril_FOBS_2005$imprenditore, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_2_a_Fact <- factor(Ril_FOBS_2005$d2_2_a, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_b_Fact <- factor(Ril_FOBS_2005$d2_2_b, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_c_Fact <- factor(Ril_FOBS_2005$d2_2_c, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_d_Fact <- factor(Ril_FOBS_2005$d2_2_d, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_e_Fact <- factor(Ril_FOBS_2005$d2_2_e, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_f_Fact <- factor(Ril_FOBS_2005$d2_2_f, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_g_Fact <- factor(Ril_FOBS_2005$d2_2_g, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_h_Fact <- factor(Ril_FOBS_2005$d2_2_h, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_i_Fact <- factor(Ril_FOBS_2005$d2_2_i, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_j_Fact <- factor(Ril_FOBS_2005$d2_2_j, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_k_Fact <- factor(Ril_FOBS_2005$d2_2_k, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_l_Fact <- factor(Ril_FOBS_2005$d2_2_l, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_2_m_Fact <- factor(Ril_FOBS_2005$d2_2_m, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_3a_Fact <- factor(Ril_FOBS_2005$d2_3a, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3b_Fact <- factor(Ril_FOBS_2005$d2_3b, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3c_Fact <- factor(Ril_FOBS_2005$d2_3c, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3d_Fact <- factor(Ril_FOBS_2005$d2_3d, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3e_Fact <- factor(Ril_FOBS_2005$d2_3e, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3f_Fact <- factor(Ril_FOBS_2005$d2_3f, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_3g_Fact <- factor(Ril_FOBS_2005$d2_3g, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_4_a_Fact <- factor(Ril_FOBS_2005$d2_4_a, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_b_Fact <- factor(Ril_FOBS_2005$d2_4_b, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_c_Fact <- factor(Ril_FOBS_2005$d2_4_c, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_d_Fact <- factor(Ril_FOBS_2005$d2_4_d, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_e_Fact <- factor(Ril_FOBS_2005$d2_4_e, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_f_Fact <- factor(Ril_FOBS_2005$d2_4_f, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_g_Fact <- factor(Ril_FOBS_2005$d2_4_g, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_h_Fact <- factor(Ril_FOBS_2005$d2_4_h, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_i_Fact <- factor(Ril_FOBS_2005$d2_4_i, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_l_Fact <- factor(Ril_FOBS_2005$d2_4_l, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_m_Fact <- factor(Ril_FOBS_2005$d2_4_m, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_4_n_Fact <- factor(Ril_FOBS_2005$d2_4_n, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d2_5_Fact <- factor(Ril_FOBS_2005$d2_5, 
levels=c("A", 
"B", 
"C", 
"D", 
"E", 
"F", 
"G"), 
labels=c("lavoratore, lavoratrice in proprio", 
"libero professionista", 
"lavoratore dipendente", 
"studente", 
"disoccupato o in cerca di prima occupazione", 
"non svolgeva alcuna attivit remunerativa e non era in cerca di lavoro", 
"pensionato")) 


d2_6_Fact <- factor(Ril_FOBS_2005$d2_6, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_7_Fact <- factor(Ril_FOBS_2005$d2_7, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si, una volta", 
"Si, piu' di una volta", 
"No, mai")) 


d2_8_Fact <- factor(Ril_FOBS_2005$d2_8, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si, su mia iniziativa", 
"Si, su iniziativa di istituzioni pubbliche", 
"No")) 


d2_9_a_Fact <- factor(Ril_FOBS_2005$d2_9_a, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_b_Fact <- factor(Ril_FOBS_2005$d2_9_b, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_c_Fact <- factor(Ril_FOBS_2005$d2_9_c, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_d_Fact <- factor(Ril_FOBS_2005$d2_9_d, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_e_Fact <- factor(Ril_FOBS_2005$d2_9_e, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_f_Fact <- factor(Ril_FOBS_2005$d2_9_f, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_g_Fact <- factor(Ril_FOBS_2005$d2_9_g, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_h_Fact <- factor(Ril_FOBS_2005$d2_9_h, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_9_i_Fact <- factor(Ril_FOBS_2005$d2_9_i, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_10_Fact <- factor(Ril_FOBS_2005$d2_10, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d2_12_Fact <- factor(Ril_FOBS_2005$d2_12, 
levels=c("F", 
"M"), 
labels=c("Femmina", 
"Maschio")) 


d2_13_Fact <- factor(Ril_FOBS_2005$d2_13, 
levels=c("1", 
"2", 
"3"), 
labels=c("Italiana", 
"Straniera: EU", 
"Straniera: altro")) 


d2_14_Fact <- factor(Ril_FOBS_2005$d2_14, 
levels=c("A", 
"B", 
"C", 
"D", 
"E", 
"F"), 
labels=c("Nessuno", 
"Elementare", 
"Scuola media inferiore", 
"Scuola media superiore", 
"Diploma di laurea", 
"Laurea")) 


d3_1_Fact <- factor(Ril_FOBS_2005$d3_1, 
levels=c("A", 
"B", 
"C"), 
labels=c("Dal solo imprenditore", 
"Dall'imprenditore in associazione con qualcun altro (es. familiari, soci)", 
"Esclusivamente da manager retribuiti")) 


d3_5_Fact <- factor(Ril_FOBS_2005$d3_5, 
levels=c("A", 
"B", 
"C", 
"D", 
"E"), 
labels=c("1 cliente", 
"Da 2 a 4 clienti", 
"Da 5 a 50 clienti", 
"Da 51 a 100 clienti", 
"Piu' di 100 clienti")) 


d3_6_a_Fact <- factor(Ril_FOBS_2005$d3_6_a, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_6_b_Fact <- factor(Ril_FOBS_2005$d3_6_b, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_6_c_Fact <- factor(Ril_FOBS_2005$d3_6_c, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_6_d_Fact <- factor(Ril_FOBS_2005$d3_6_d, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_7_Fact <- factor(Ril_FOBS_2005$d3_7, 
levels=c("A", 
"B", 
"C", 
"D", 
"E"), 
labels=c("Molto buona", 
"Buona", 
"Appena sufficiente", 
"Scarsa", 
"Pi di 100 clienti")) 


d3_8_Fact <- factor(Ril_FOBS_2005$d3_8, 
levels=c("A", 
"B", 
"C", 
"D", 
"E"), 
labels=c("Collaboro con altre imprese piu' piccole all'interno di una rete", 
"Sono un subappaltatore di un'impresa piu' grande", 
"Sono un frachisee o un licenziatario", 
"Partecipo a una joint venture", 
"Nessuna / non rilevante")) 


d3_9_a_Fact <- factor(Ril_FOBS_2005$d3_9_a, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_9_b_Fact <- factor(Ril_FOBS_2005$d3_9_b, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_9_c_Fact <- factor(Ril_FOBS_2005$d3_9_c, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_9_d_Fact <- factor(Ril_FOBS_2005$d3_9_d, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d3_10_a_Fact <- factor(Ril_FOBS_2005$d3_10_a, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_10_b_Fact <- factor(Ril_FOBS_2005$d3_10_b, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_10_c_Fact <- factor(Ril_FOBS_2005$d3_10_c, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_10_d_Fact <- factor(Ril_FOBS_2005$d3_10_d, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_a_Fact <- factor(Ril_FOBS_2005$d3_11_a, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_b_Fact <- factor(Ril_FOBS_2005$d3_11_b, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_c_Fact <- factor(Ril_FOBS_2005$d3_11_c, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_d_Fact <- factor(Ril_FOBS_2005$d3_11_d, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_e_Fact <- factor(Ril_FOBS_2005$d3_11_e, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_f_Fact <- factor(Ril_FOBS_2005$d3_11_f, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_g_Fact <- factor(Ril_FOBS_2005$d3_11_g, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_h_Fact <- factor(Ril_FOBS_2005$d3_11_h, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_i_Fact <- factor(Ril_FOBS_2005$d3_11_i, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_j_Fact <- factor(Ril_FOBS_2005$d3_11_j, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_k_Fact <- factor(Ril_FOBS_2005$d3_11_k, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d3_11_l_Fact <- factor(Ril_FOBS_2005$d3_11_l, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto", 
"In parte", 
"Per niente", 
"Non so")) 


d4_1_Fact <- factor(Ril_FOBS_2005$d4_1, 
levels=c("A", 
"B", 
"C", 
"D", 
"E"), 
labels=c("l'attivita' continuera' piu' o meno inalterata", 
"si assocera' con una o piu' imprese (ad esempio per fusione, ...)", 
"vendera' o cessera' l'attivita' per costituire una nuova impresa nello stesso ramo di attivita'", 
"vendera' o cessera' l'attivita' per costituire una nuova impresa in un ramo di attivita' diverso", 
"vendera' o cessera' l'attivita'")) 


d4_2_a_Fact <- factor(Ril_FOBS_2005$d4_2_a, 
levels=c("1", 
"2", 
"3"), 
labels=c("Diminuzione", 
"Invariato", 
"Aumento")) 


d4_2_b_Fact <- factor(Ril_FOBS_2005$d4_2_b, 
levels=c("1", 
"2", 
"3"), 
labels=c("Diminuzione", 
"Invariato", 
"Aumento")) 


d4_2_c_Fact <- factor(Ril_FOBS_2005$d4_2_c, 
levels=c("1", 
"2", 
"3"), 
labels=c("Diminuzione", 
"Invariato", 
"Aumento")) 


d4_2_d_Fact <- factor(Ril_FOBS_2005$d4_2_d, 
levels=c("1", 
"2", 
"3"), 
labels=c("Diminuzione", 
"Invariato", 
"Aumento")) 


d4_3_a_Fact <- factor(Ril_FOBS_2005$d4_3_a, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_b_Fact <- factor(Ril_FOBS_2005$d4_3_b, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_c_Fact <- factor(Ril_FOBS_2005$d4_3_c, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_d_Fact <- factor(Ril_FOBS_2005$d4_3_d, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_e_Fact <- factor(Ril_FOBS_2005$d4_3_e, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_f_Fact <- factor(Ril_FOBS_2005$d4_3_f, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


d4_3_g_Fact <- factor(Ril_FOBS_2005$d4_3_g, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 

save.image (file="Ril_FOBS_2005.RData")
